<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author pedro.garcia
@description es la página para ajustar los tiempos de una comisión
@cu CU-CO-A-04
@version 2.0

@param  manejoComisionesTramitesComisionParam  que es la comisión sobre la cual se trabaja
@param  ajusteTiempoWVParam  nombre del widget que se debe cerrar al completar lo del botón "aceptar"
@param  esNuevaParam  define si se están ajustando tiempos de una comisión nueva o una existente
@param  idFormaParam  id que va a tener esta forma. Se usa porque esta forma va a usarse varias veces
  incluída en alguna página como un dialog y el baboso parace que no hace caso de que sea dinámico,
por lo que si se deja un nombre fijo de la forma sale un error porque la encuentra varias veces
@param  updateComponentsParam  lista de ids de componentes que se deben actualizar cuando se hace commit
  de la forma

OJO:
Lo de pasar parámetros NO FUNCIONA si trato de leer ese parámetro en el action de un botón
-->


<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        id="#{idFormaParam}">

    <p:messages id="msgsATC" showDetail="false" globalOnly="false" autoUpdate="false" />

    <fieldset>

        <p:spacer height="10" width="1"/>
        <p:outputPanel layout="block" style="text-align: center" 
                       rendered="#{manejoComisionesTramitesComisionParam != null}">
            <h:outputLabel value="Número de comisión: " styleClass="outputLabelStyle"/>
            <h:outputText id="numeroComision"
                          value="#{manejoComisionesTramitesComisionParam.numero}"
                          styleClass="outputTextStyle" />
            <p:spacer height="10" width="20"/>
            <h:outputLabel value="Fecha de comisión: " styleClass="outputLabelStyle"/>
            <h:outputText id="fechaCreacionComision"
                          value="#{manejoComisionesTramitesComisionParam.fechaInicio}"
                          styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFechaComponenteCalendar}" />
            </h:outputText>
        </p:outputPanel>

        <p:spacer height="20" width="0"/>
        <h:panelGrid columns="2" cellpadding="5">
            <h:outputLabel value="Duración de la comisión: " styleClass="outputLabelStyle"/>
            <h:outputText value="#{manejoComisionesTramitesComisionParam.duracion} &nbsp; días"
                          styleClass="outputTextStyle"/>

            <h:panelGroup>
                <h:outputLabel value="Tiempo de ajuste: " styleClass="outputLabelStyle"
                               title="Múltiplos de 0.5"/>
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGroup>

            <h:panelGrid columns="3">
                <h:inputText id="tiempoAjusteComision" required="true" title="Múltiplos de 0.5"
                             value="#{manejoComisionesTramitesComisionParam.duracionAjuste}"
                             label="Tiempo de ajuste">
                    <f:validateDoubleRange minimum="0" maximum="365"/>
                </h:inputText>
                <h:outputText value="&nbsp; días" styleClass="outputTextStyle"/>
                <p:message for="tiempoAjusteComision" display="icon" id="reqTiempoAjusteComision"/>
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Razón de ajuste: " styleClass="outputLabelStyle"/>
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGroup>

            <h:panelGrid columns="2">
                <h:inputTextarea id="razonAjustes" cols="30" required="true"
                                 value="#{manejoComisionesTramitesComisionParam.razonAjuste}"
                                 label="Razón del ajuste">
                    <f:validateLength maximum="2000"/>
                </h:inputTextarea>
                <p:message for="razonAjustes" display="icon" id="reqRazonAjustes"/>
            </h:panelGrid>


        </h:panelGrid>


        <p:spacer height="30" width="1"/>
        <h:panelGrid width="50%" columns="3">
            <p:commandButton value="Aceptar"
                             action="#{manejoComisionesTramites.ajustarTiemposComision}"
                             update="msgsATC, reqTiempoAjusteComision, reqRazonAjustes, 
                             #{updateComponentsParam}
                             :detalleComisionForm:msgsDetalleComision, :detalleComisionForm:duracionTotalComisionOT"
                             oncomplete="handleCompleteSIC(xhr, status, args, ajusteTiemposComisionModalWV, false)">
                <f:setPropertyActionListener 
                    target="#{manejoComisionesTramites.esNuevaComisionParaAjusteTiempos}" 
                    value="#{esNuevaParam}" />
            </p:commandButton>
            <p:spacer width="40" height="1"/>
            <p:commandButton value="Cerrar" oncomplete="#{ajusteTiempoWVParam}.hide();"/>

        </h:panelGrid>
    </fieldset>


</h:form>